Subject: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Christopher Sean Morrison <[email-masked]>
Date: Wed, 9 Dec 2020 14:23:40 -0500

>> Can you give a recipe for reproducing this bug, starting from
>> "emacs -Q"?  I do not have Graphene installed (which seems to be a package
>> from Melpa), so a recipe for reproducing the bug without installing that
>> package would be nice.
> 
> More information was requested, but no response was given within a 
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

Closing the report is unexpected (and comes across as rude, in my humble opinion, if you’re interested in social interaction feedback).  You asked for a reproduction recipe, which I’d already provided in the original bug report (see the "For example" sentence).  That came across to me as lazy disinterest from an unknown, which I was not inclined to engage.  I realize this may have simply been a misunderstanding due to the manner in which the response was worded.

As I said, I provided the recipe that affected me in the original report — see the “For example” line.  I do not know if this issue occurs in any other context, e.g., with/without Graphene and am not any more available to explore those possibilities.  I did report the bug with the Graphene developer, they investigated, and determined it was a bug in Ido.  That’s why I then took the time to report the issue here with the information I made available.

I don’t know the inner workings of Ido to dig deeper on why it is not prompting for confirmation as that's the crux of this report.  If I ctrl-k, file is deleted silently without confirmation.